package fr.iutfbleau.projetIHM2022FI2.MP.ROOT.Controller;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;

import fr.iutfbleau.projetIHM2022FI2.API.Changement;
import fr.iutfbleau.projetIHM2022FI2.API.Model;

/**
 * le controller pour les changements
 */
public class ActionChangement implements ActionListener{
	//le model
    private Model m;
		//le changement
    private Changement change;
		/**
		 * le constructeur
		 * 	
		 * @param m le model
		 * @param change le changement
		 * 
		 */
    public ActionChangement(Model m, Changement change){
        this.m=m;
        this.change=change;
    }
		/**
		 * méthode invoquée lors d'un clic sur un bouton
		 * @param e l'événement
		 */
    @Override
    public void actionPerformed(ActionEvent e) {
        String text=((JButton)e.getSource()).getText();
        if(text.equals("Supprimer")){
            this.m.deleteChange(change);
        }
        if(text.equals("Valider")){
            this.m.change(change);
        }
        if(text.equals("Raison")){
            this.m.showRaisonChange(change);
        }
    }
    
}
